none
Possible incompatibility between latest SSDT 2017 and Data Factory SSIS Integration Runtime

    Question

  • I downloaded the latest version of SQL Server Data Tools 2017, which has component Microsoft SQL Server Integration Services Designer 15.0.X.Y

    All my deployments to SSIS Integration Runtime (hosted with Azure SQL Server) failed when using Script Task saying "Cannot load script for execution".

    I first thought it'd be a problem in my laptop, but then I benchmarked with one of my peers, he downloaded the same SSDT version and his packages got the same error.

    Then I downloaded the earliest possible version of SSDT 2017 (15.6.X) which includes component Microsoft SQL Server Integration Services Designer 14.0.X.Y.

    Packages worked fine after that.
    Thank you.

    Friday, November 2, 2018 2:25 AM

Answers

  • Hi Homero,

    It's a known issue and we are working on fixing it. Please check https://docs.microsoft.com/en-us/sql/ssdt/changelog-for-sql-server-data-tools-ssdt?view=sql-server-2017 for details and workaround. Thanks.

    Best regards,

    Rodge

    • Marked as answer by Homero Rivera Monday, November 5, 2018 10:55 PM
    Friday, November 2, 2018 6:37 AM